Bug 446041 - "download finished" popup appears on top of panel
"download finished" popup appears on top of panel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 05:26 EDT by Martin Jürgens
Modified: 2018-04-11 03:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:22:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of behavior (17.41 KB, image/png)
2008-05-12 17:34 EDT, Martin Jürgens
no flags Details
Xorg.0.log (13.83 KB, text/plain)
2008-06-18 18:17 EDT, Martin Jürgens
no flags Details
xorg.conf (1.01 KB, text/plain)
2008-06-18 18:18 EDT, Martin Jürgens
no flags Details

  None (edit)
Description Martin Jürgens 2008-05-12 05:26:49 EDT
Description of problem:
the "download finished" popup appears on top of panel

Version-Release number of selected component (if applicable):
latest in rawhide

How reproducible:
always

Steps to Reproduce:
1. download something
  
Actual results:
"download finished" popup appears on top of panel

Expected results:
should appear on top of the firefox window

Additional info:
-/- i think that it worked fine earlier in rawhide.
Comment 1 Martin Jürgens 2008-05-12 17:34:26 EDT
Created attachment 305180 [details]
screenshot of behavior
Comment 2 Matěj Cepl 2008-05-14 03:00:01 EDT
Sorry, but I don't see what is the functional difference and use case for this
bug. Could you elaborate a little bit on what “it worked” means for you?
Comment 3 Martin Jürgens 2008-05-14 05:24:06 EDT
Previously, the message appeard on top of the Firefox window only. The way it is
now it partly appears on top of the panel and on the Firefox window. This
basically results in having no access to the panel element's which are
underneath the message, in most cases the workspace switcher.

As you can't just "click it away", you then have two options: Wait or click on
"Show downloads" which is both not statisfying. 

I hope that you understand my concerns now, if not, feel free to ask further :)
Comment 4 Bug Zapper 2008-05-14 07:01:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Martin Jürgens 2008-05-30 06:37:23 EDT
On my Fedora 9 desktop, the behavior happens as can be seen in the screenshot,
but on my laptop it works the right way so that I can still access the workspace
switcher. Weird.
Comment 6 Martin Jürgens 2008-06-18 08:29:22 EDT
Still appears with Firefox 3.0, even with clean profile. I have the feeling that
it is partly resolution dependent. Appears with 1280x1024. Can anyone reproduce
this?
Comment 7 Matěj Cepl 2008-06-18 16:31:28 EDT
Hmm, let's try this:

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 8 Martin Jürgens 2008-06-18 18:17:45 EDT
Created attachment 309798 [details]
Xorg.0.log
Comment 9 Martin Jürgens 2008-06-18 18:18:12 EDT
Created attachment 309799 [details]
xorg.conf
Comment 10 Martin Jürgens 2008-06-18 18:29:47 EDT
It also happens with the nv driver with 1024x768. Well.
Comment 11 Martin Stransky 2009-01-14 07:50:24 EST
I believe this is the right behavior and actually intended feature....
Comment 12 Martin Jürgens 2009-01-14 07:56:42 EST
are you sure? i mean i cant switch workspaces when a download is finished and there is no way to let the notification disappear except waiting (in contrast to g-p-m notifications for example).

afaik in windows that message also does not hide the taskbar and appears a little bit more up on the screen.
Comment 13 Martin Stransky 2009-01-14 08:10:41 EST
Okay, I'll investigate it more. But the notification definitely should disappear...
Comment 14 Martin Jürgens 2009-01-14 09:14:39 EST
Thanks for investigating. It does disappear at some time, but its not like I can click on it for it do disappear. This means that I have some wasted time till I can use the elements that are behind that message..

I'd say that it should appear a little bit more up on the screen, where the windows appear and that it should not hide elements of the panel.
Comment 15 Martin Stransky 2009-01-26 06:02:11 EST
Seems to be fixed in our current rawhide package (3.1 beta 2), can you test it?
Comment 16 Bug Zapper 2009-06-09 20:43:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-07-14 14:22:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.